#pragma once

#include "util/i_spin_config.h"
#include "yaml-cpp/yaml.h"

namespace spin
{
    constexpr std::string_view CONFIG_FILE_PATH = "/kr2.root/CBuns/install/SpinRobotics/spin_config.yaml";
    constexpr std::string_view DEFAULT_BRIDGE_HOST = "192.168.37.1";

    class SpinConfig : public ISpinConfig
    {
    public:
        SpinConfig();
        std::string bridgeHostName() const override;
        void writeBridgeHostName(const std::string &hostName) const override;
        void listDirectories() const;
    private:
        void listDirectory(const std::string &path) const;
        void checkFile() const;
        std::string configFilePath() const;
    };
} // namespace spin
